define("local_lionai_reports/report",["exports","core/ajax","core/notification","core/templates","./spinneroverlay","./jquery.dataTables","core/modal_factory","core/modal_events","core/str","./codemirror"],(function(_exports,_ajax,_notification,_templates,_spinneroverlay,_jquery,_modal_factory,_modal_events,_str,CodeMirror){function _getRequireWildcardCache(nodeInterop){if("function"!=typeof WeakMap)return null;var cacheBabelInterop=new WeakMap,cacheNodeInterop=new WeakMap;return(_getRequireWildcardCache=function(nodeInterop){return nodeInterop?cacheNodeInterop:cacheBabelInterop})(nodeInterop)}function _interopRequireDefault(obj){return obj&&obj.__esModule?obj:{default:obj}}
/**
   * Connect lionai_reports functionality.
   *
   * @module      local_lionai_reports/report
   * @author      Anton P. <anton@devlion.co>
   * @copyright   2023 Devlion <info@devlion.co>
   * @license     http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
   */Object.defineProperty(_exports,"__esModule",{value:!0}),_exports.init=void 0,_ajax=_interopRequireDefault(_ajax),_notification=_interopRequireDefault(_notification),_templates=_interopRequireDefault(_templates),_spinneroverlay=_interopRequireDefault(_spinneroverlay),_jquery=_interopRequireDefault(_jquery),_modal_factory=_interopRequireDefault(_modal_factory),_modal_events=_interopRequireDefault(_modal_events),CodeMirror=function(obj,nodeInterop){if(!nodeInterop&&obj&&obj.__esModule)return obj;if(null===obj||"object"!=typeof obj&&"function"!=typeof obj)return{default:obj};var cache=_getRequireWildcardCache(nodeInterop);if(cache&&cache.has(obj))return cache.get(obj);var newObj={},hasPropertyDescriptor=Object.defineProperty&&Object.getOwnPropertyDescriptor;for(var key in obj)if("default"!==key&&Object.prototype.hasOwnProperty.call(obj,key)){var desc=hasPropertyDescriptor?Object.getOwnPropertyDescriptor(obj,key):null;desc&&(desc.get||desc.set)?Object.defineProperty(newObj,key,desc):newObj[key]=obj[key]}newObj.default=obj,cache&&cache.set(obj,newObj);return newObj}(CodeMirror);const dataTemp={report:null,table:null,sqlChanged:!1,sqlOriginal:"",editor:null},Selectors={elements:{mainelement:"lionai_reports-area",report:"lionai_reports-report",promptTextarea:"id_userprompt",querysqlid:"id_querysql",senduserpromptid:"id_senduserprompt",getresultid:"id_getresult",submitbutton:"id_submitbutton",trytofixid:"id_trytofix",errordivid:"id_error_querysql",lionaiReportshistory:"lionai_reportshistory",queryresultwrapperid:"id_queryresultwrapper",queryresultid:"id_queryresult",queryresultmessage:"id_queryresultmessage",thmbup:"thmbup",thmbdown:"thmbdown",ratebtnswrapper:"ratebtns-wrapper",previewwrapper:"previewwrapper"},targets:{}},getReport=id=>_ajax.default.call([{methodname:"local_lionai_reports_getreport",args:{id:id}}])[0],renderReport=()=>{_templates.default.render("local_lionai_reports/report",dataTemp.report).then((function(html,js){_templates.default.replaceNodeContents(document.getElementById(Selectors.elements.mainelement),html,js),Selectors.targets.promptElem=document.getElementById(Selectors.elements.promptTextarea),Selectors.targets.querysqlElem=document.getElementById(Selectors.elements.querysqlid),Selectors.targets.trytofixlElem=document.getElementById(Selectors.elements.trytofixid),Selectors.targets.queryresultmessage=document.getElementById(Selectors.elements.queryresultmessage),Selectors.targets.thmbup=document.getElementById(Selectors.elements.thmbup),Selectors.targets.thmbdown=document.getElementById(Selectors.elements.thmbdown),Selectors.targets.ratebtnswrapper=document.getElementById(Selectors.elements.ratebtnswrapper),Selectors.targets.senduserpromptButton=document.getElementById(Selectors.elements.senduserpromptid),Selectors.targets.getresultButton=document.getElementById(Selectors.elements.getresultid),Selectors.targets.errorDiv=document.getElementById(Selectors.elements.errordivid),Selectors.targets.lionaiReportshistory=document.getElementById(Selectors.elements.lionai_reportshistory),dataTemp.editor=CodeMirror.editorFromTextArea(Selectors.targets.querysqlElem),Selectors.targets.thmbup.onclick=e=>ratePrompt(e.currentTarget.dataset.promptid,e.currentTarget.dataset.rate,e.currentTarget),Selectors.targets.thmbdown.onclick=e=>ratePrompt(e.currentTarget.dataset.promptid,e.currentTarget.dataset.rate,e.currentTarget),Selectors.targets.senduserpromptButton.addEventListener("click",(()=>{sendPrompt(Selectors.targets.promptElem.value)})),Selectors.targets.getresultButton.addEventListener("click",(()=>{getResult(Selectors.targets.querysqlElem.value)})),Selectors.targets.trytofixlElem.addEventListener("click",(()=>{let value="";value+="try to fix this sql:\n\n";let actualsql=Selectors.targets.querysqlElem.value;actualsql+="\n\n",value+=actualsql;value+=Selectors.targets.queryresultmessage.textContent,sendPrompt(value)})),Selectors.targets.querysqlElem.addEventListener("change",(()=>{let actualsql=Selectors.targets.querysqlElem.value;dataTemp.sqlOriginal!=actualsql&&originalDataChanged()})),Selectors.targets.promptElem.addEventListener("keydown",(function(event){(event.ctrlKey||event.metaKey)&&"Enter"===event.key?sendPrompt(Selectors.targets.promptElem.value):hideElement(Selectors.targets.ratebtnswrapper)}));document.querySelectorAll(".lionai_reports-examples-list .dropdown-item").forEach((item=>{item.addEventListener("click",(event=>{event.preventDefault();let value=item.textContent.trim();setUserPrompt(value),sendPrompt(value)}))})),_spinneroverlay.default.hidespinneroverlay(),hideElement(Selectors.targets.queryresultmessage),hideElement(Selectors.targets.trytofixlElem),hideElement(Selectors.targets.ratebtnswrapper),document.getElementById("edit-name-button").addEventListener("click",(function(){document.getElementById("edit-name-button").classList.add("d-none");var currentName=document.getElementById("edit-name").textContent,inputField=document.createElement("input");inputField.type="text",inputField.value=currentName,inputField.classList.add("w-100"),document.getElementById("edit-name").textContent="",document.getElementById("edit-name").appendChild(inputField),inputField.addEventListener("keydown",(async function(event){if("Enter"===event.key){var newName=inputField.value;document.getElementById("edit-name").textContent=newName,document.getElementById("edit-name-button").classList.remove("d-none");const updateResult=await function(id){let action=arguments.length>1&&void 0!==arguments[1]?arguments[1]:"update",data=arguments.length>2?arguments[2]:void 0;return _ajax.default.call([{methodname:"local_lionai_reports_updatereport",args:{id:id,action:action,data:JSON.stringify(data)}}])[0]}(dataTemp.report.id,"update",{name:newName});if(updateResult){const response=await getReport(dataTemp.report.id);dataTemp.report=JSON.parse(response.data).report,renderReport()}}})),inputField.focus()})),document.getElementById("lionai_reportshistory").onclick=()=>{showModal()}})).catch((error=>_notification.default.displayException(error)))};const showModal=async()=>{const modal=await _modal_factory.default.create({title:(0,_str.get_string)("pickfromhistory","local_lionai_reports"),large:!0,body:_templates.default.render("local_lionai_reports/historymodal",dataTemp.report),footer:"An example footer content"});modal.show(),Selectors.targets.createdModal=modal,modal.getRoot().on(_modal_events.default.bodyRendered,(()=>{let textarea=modal.getRoot()[0].querySelectorAll("textarea");textarea.length>0&&textarea.forEach((el=>{el.textLength>0&&CodeMirror.editorFromTextArea(el)})),renderHistory()}))},hideElement=target=>{target.classList.add("d-none")},showElement=target=>{target.classList.remove("d-none")},getResult=query=>{hideElement(Selectors.targets.queryresultmessage),hideElement(Selectors.targets.trytofixlElem),_ajax.default.call([{methodname:"local_lionai_reports_getresult",args:{query:query,id:dataTemp.report.id},done:function(data){let result=data.result,message=data.message,count=data.count;data=JSON.parse(data.data),setMessage(message,!result),async function(count){document.getElementById(Selectors.elements.previewwrapper).innerHTML="";const previewWrapper=document.getElementById(Selectors.elements.previewwrapper);let previewMessageHtml="<h2>"+await(0,_str.get_string)("preview","local_lionai_reports")+"</h2><br>";previewMessageHtml=previewMessageHtml+'<span class="font-weight-bold">'+await(0,_str.get_string)("previewtotal","local_lionai_reports",count)+"</span><br>",previewMessageHtml=previewMessageHtml+"<span>"+await(0,_str.get_string)("previewnote1","local_lionai_reports")+"</span><br>",previewMessageHtml=previewMessageHtml+'<span class="text-muted">'+await(0,_str.get_string)("previewnote2","local_lionai_reports")+"</span>",previewWrapper.innerHTML=previewMessageHtml}(count),(data=>{const keys=Object.keys(data);if((dataTemp.table||dataTemp.table&&0==keys.length)&&(dataTemp.table="",document.getElementById(Selectors.elements.queryresultid).innerHTML=""),document.getElementById(Selectors.elements.queryresultwrapperid).innerHTML="",document.getElementById(Selectors.elements.queryresultwrapperid).innerHTML='<table class="display w-100" id="id_queryresult"></table>',keys.length>0){const firstItem=data[keys[0]],columns=Object.keys(firstItem).map((key=>({title:key,data:key}))),dataArray=keys.map((key=>data[key]));dataTemp.table=new _jquery.default("#".concat(Selectors.elements.queryresultid),{columns:columns,data:dataArray,scrollX:!0,autoWidth:!0})}})(data)},fail:function(error){_notification.default.exception(error)}}])},setTargetText=newText=>{(sql=>{Selectors.targets.querysqlElem.value=sql;let sqlEditors=Selectors.targets.querysqlElem.parentElement.querySelectorAll(".cm-editor");sqlEditors.length>0&&sqlEditors.forEach((el=>{el.remove()})),dataTemp.editor=CodeMirror.editorFromTextArea(Selectors.targets.querysqlElem),getResult(sql)})(newText),_spinneroverlay.default.hidespinneroverlay(["id_userprompt","id_querysql","id_senduserprompt"])},setMessage=function(value){let correct=arguments.length>1&&void 0!==arguments[1]?arguments[1]:2;value.length>0&&(document.getElementById(Selectors.elements.queryresultmessage).innerHTML=value,showElement(Selectors.targets.queryresultmessage)),1==correct&&showElement(Selectors.targets.trytofixlElem)},originalDataChanged=()=>{dataTemp.sqlChanged||(dataTemp.sqlChanged=!0,hideElement(Selectors.targets.ratebtnswrapper))},sendPrompt=prompt=>{_spinneroverlay.default.showspinneroverlay(["id_userprompt","id_querysql","id_senduserprompt"]),hideElement(Selectors.targets.queryresultmessage),hideElement(Selectors.targets.trytofixlElem),hideElement(Selectors.targets.ratebtnswrapper),_ajax.default.call([{methodname:"local_lionai_reports_send_prompt",args:{reportid:dataTemp.report.id,prompt:prompt,engine:dataTemp.report.engine,conversationid:dataTemp.report.conversationid},done:function(data){let message=data.message,correct=data.correct;if(2!=correct){setMessage("Does not look like correct code. Use carefully.",correct),_spinneroverlay.default.hidespinneroverlay(["id_userprompt","id_querysql","id_senduserprompt"]),Selectors.targets.querysqlElem.value=message;let sqlEditors=Selectors.targets.querysqlElem.parentElement.querySelectorAll(".cm-editor");return sqlEditors.length>0&&sqlEditors.forEach((el=>{el.remove()})),void(dataTemp.editor=CodeMirror.editorFromTextArea(Selectors.targets.querysqlElem))}dataTemp.sqlOriginal=message,dataTemp.sqlChanged=!1,clearRateBtnsActiveClass(),showElement(Selectors.targets.ratebtnswrapper);var actionbuttons=document.getElementsByClassName("action-btns")[0];actionbuttons.classList.remove("d-none"),actionbuttons.classList.add("d-flex"),setPromptidToBtns(data.promptid),setTargetText(message)},fail:function(error){_notification.default.exception(error),_spinneroverlay.default.hidespinneroverlay(["id_userprompt","id_querysql","id_senduserprompt"])}}])},setUserPrompt=value=>{Selectors.targets.promptElem.value=value},renderHistory=()=>{document.querySelectorAll(".lionai_reports-history-list-item").forEach((item=>{item.addEventListener("click",(event=>{event.preventDefault();const value=item.textContent.trim(),role=item.getAttribute("data-role");Selectors.targets.createdModal.destroy(),"user"==role?(setUserPrompt(value),sendPrompt(value)):setTargetText(value)}))}))},ratePrompt=(promptid,rate,target)=>{rate=target.classList.contains("active")?0:rate,_ajax.default.call([{methodname:"local_lionai_reports_rate_prompt",args:{promptid:+promptid,rate:+rate},done:function(){return clearRateBtnsActiveClass(),0===rate?target.classList.remove("active"):target.classList.add("active")},fail:function(error){_notification.default.exception(error)}}])},setPromptidToBtns=promptid=>{Selectors.targets.thmbup.dataset.promptid=promptid,Selectors.targets.thmbdown.dataset.promptid=promptid},clearRateBtnsActiveClass=()=>{Selectors.targets.thmbup.classList.remove("active"),Selectors.targets.thmbdown.classList.remove("active")};_exports.init=async _reportid=>{const response=await getReport(_reportid);dataTemp.report=JSON.parse(response.data).report,renderReport()}}));

//# sourceMappingURL=report.min.js.map